
%define name		valknut
%define version		0.3.8
%define rel		2

%define release		%mkrel %rel
%define distsuffix	plf

Summary:		Direct Connect file sharing client
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Url:			http://sourceforge.net/projects/wxdcgui/
Group:			Networking/File transfer
Source0:		http://downloads.sourceforge.net/wxdcgui/%name-%version.tar.bz2
Source1:		%{name}-48.png
Source2:		%{name}-32.png
Source3:		%{name}-16.png
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:		%{mklibname dc 0} = %{version}
BuildRequires:		dc-devel = %{version}
BuildRequires:		qt3-devel
Obsoletes:		dcgui
Provides:		dcgui

%description
This is a client for the direct connect file sharing protocol with
a nice GUI.

This package is in PLF because it is against Mandriva policy to
include such software.

%prep
%setup -q -n %{name}-%{version}

%build

perl -p -i -e 's|\@kde_widgetdir\@||g' `find . -name Makefile.in`

export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_datadir}/%{name}/translation
%makeinstall_std

%__mkdir_p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
                needs="X11" section="Internet/File Transfer" \
 title="Direct Connect" longtitle="File sharing GUI" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Valknut
Comment=DC client
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
EOF

%__mkdir_p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
%__install -m 644 %SOURCE1 %{buildroot}/%{_liconsdir}/%{name}.png	
%__install -m 644 %SOURCE2 %{buildroot}/%{_iconsdir}/%{name}.png	
%__install -m 644 %SOURCE3 %{buildroot}/%{_miconsdir}/%{name}.png	

find %{buildroot}%{_datadir}/%{name}/icons/user/default \
  -type f -size 0 -exec %__rm -f {} \;

%clean
%__rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.OpenSSL INSTALL INSTALL.MAC 
%doc NEWS README TODO valknut.lsm
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Mar 11 2007 Anssi Hannula <anssi@zarb.org> 0.3.8-2plf2007.1
- fix requires

* Sun Dec 31 2006 Anssi Hannula <anssi@zarb.org> 0.3.8-1plf2007.1
- 0.3.8
- clean spec
- update url
- drop distribution and vendor tags
- update desktop entry
- drop patch0, upstream

* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@zarb.org> 0.3.7-3plf
- Rebuild for wrong dependancies
- Add Patch0: Fix Build (Extra-Qualification)
- XDG

* Sat Nov  5 2005 Anssi Hannula <anssi@zarb.org> 0.3.7-2plf
- fix x86_64 build
- mkrel
- fix distribution tag

* Sun Feb 27 2005 David Walluck <david@zarb.org> 0:0.3.7-1plf
- 0.3.7

* Fri Feb 11 2005 David Walluck <david@zarb.org> 0:0.3.6-1plf
- 0.3.6

* Mon Jan 17 2005 David Walluck <david@zarb.org> 0:0.3.5-1plf
- 0.3.5

* Tue Dec 14 2004 David Walluck <david@zarb.org> 0:0.3.4-0.20041214.1plf
- apply patches from Henning Noren's FC3 rpms
- fix epochs
- make requires `=' instead of `>='

* Sun Oct 24 2004 David Walluck <david@plf.zarb.org> 0.3.4-0.20041023.3plf
- remove `-%%{release}' from libdc0 dependencies

* Sun Oct 24 2004 David Walluck <david@plf.zarb.org> 0.3.4-0.20041023.2plf
- remove epoch from dependency

* Sat Oct 23 2004 David Walluck <david@plf.zarb.org> 0.3.4-0.20041023.1plf
- 0.3.4 (CVS 20041023)
- remove 0 length file to shut up rpmlint

* Thu Sep 02 2004 David Walluck <david@plf.zarb.org> 0:0.3.3-1plf
- 0.3.3

* Sat May 08 2004 David Walluck <david@plf.zarb.org> 0:0.3.0-0.20040507.3plf
- fix group

* Sat May 08 2004 David Walluck <david@plf.zarb.org> 0:0.3.0-0.20040507.2plf
- fix changelog and BuildRequires
- add reason for PLF

* Fri May 07 2004 David Walluck <david@plf.zarb.org> 0:0.3.0-0.20040507.1plf
- 0.3.0 CVS (20040507)

* Mon Apr 26 2004 Stefan van der Eijk <stefan@zarb.org> 0:0.3.0-0.20040403.2plf
- BuildRequires

* Sat Apr 03 2004 David Walluck <david@anti-microsoft.org> 0:0.3.0-0.20040403.1plf
- 0.3.0 CVS
- update Group

* Thu Feb 26 2004 Gtz Waschk <goetz@plf.zarb.org> 0.2.21-1plf
- fix deps
- remove vendor and distribution tags
- new version

* Sat Oct 11 2003 David Walluck <david@anti-microsoft.org> 0:0.2.20-1plf
- 0.2.20

* Fri Sep 05 2003 David Walluck <david@anti-microsoft.org> 0.2.19-1plf
- 0.2.19

* Wed Jul 16 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.16-2plf
- fix directory ownership

* Fri Jun 20 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.16-1plf
- new version

* Wed Jun 11 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.15-1plf
- new version

* Mon Jun  2 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.14-1plf
- new version

* Mon May  5 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.13-1plf
- fix menu entry
- adapt for new tarball name
- new version

* Thu Apr 24 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.11-1plf
- new version

* Tue Apr 15 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.10-1plf
- new version

* Tue Apr  8 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.9-1plf
- new version

* Thu Mar 27 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.8-1plf
- new version

* Thu Mar 13 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.7-1plf
- new version

* Mon Mar  3 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.6-1plf
- new version

* Mon Feb 10 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.5-1plf
- new version

* Sat Feb  1 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.4-1plf
- new version

* Thu Jan 23 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.3-1plf
- new version

* Wed Jan 22 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.2-1plf
- new version

* Thu Jan 16 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.1-1plf
- new version

* Thu Jan  9 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.rc5.1plf
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.rc4.1plf
- new version

* Fri Dec 13 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.rc2.1plf
- new version

* Tue Dec  3 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.beta5.1plf
- drop the patch 
- new version

* Wed Nov 27 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.beta3.1plf
- new patch for adding missing prototypes
- drop patch 
- new version

* Mon Nov 18 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.beta2.1plf
- fix installation
- new version

* Thu Oct 24 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.beta1.1plf
- 0.2beta1

* Sun Oct  6 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.1-1plf
- new version

* Wed Oct  2 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.1-0.rc2.1plf
- 0.1rc2
- add an explicit requires on the same version of the library

* Sun Sep 29 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.1-0.rc1.1plf
- 0.1rc1
- drop patch

* Fri Sep 27 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.1-0.beta12.1plf
- initial PLF package
